Bug 517566 - bacula tray monitor's height can exceed display size
bacula tray monitor's height can exceed display size
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bacula (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-14 13:53 EDT by John Florian
Modified: 2009-12-18 04:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:40:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Florian 2009-08-14 13:53:29 EDT
Description of problem:
The bacula tray monitor's status window does not make use of vertical scroll bars for either the clients being monitored nor the status area.  The window's height changes dynamically as the user selects different clients to view.  The resultant window height can easily exceed the display's vertical size at which point some of the window's controls may be off-screen.  This makes it difficult to view the status data or even hit the Close button unless the user is knowledgeable in moving/resizing a window when the title or borders are off-screen.

Version-Release number of selected component (if applicable):
bacula-console-bat-2.4.4-1.fc10.x86_64

How reproducible:
Easy if the desktop display area is small enough or when monitoring a sufficient number of clients.  I can reproduce the problem every time with a 1600x1200 display and nine File Daemons (FD) plus one Storage Daemon (SD) plus one Director (DIR).

Steps to Reproduce:
1. Configure the tray monitor to monitor at least a SD.
2. Open the tray monitor's status window.
3. Select the SD.
4. Notice the window size cannot be reduced vertically below a certain (rather large) limit.  If that limit exceeds the vertical display size, the problem will be apparent.
  
Actual results:
Window size can exceed display size.

Expected results:
Window size should never exceed the display size, unless the user manually made it that way.  Window should be capable of shrinking to a very small size and scroll bars should be utilized to allow this.

Additional info:
Comment 1 Bug Zapper 2009-11-18 07:11:42 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 04:40:08 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.